Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST outbound_status_by_phone_number

Ostatnia modyfikacja 2026-05-21 13:50:27

Wyszukuje wszystkie rekordy na podstawie numeru telefonu, a następnie aktualizuje w nich status kampanii na podstawie podanego statusu słownikowego.

Zwraca listę kampanii, w których zaktualizowano statusy.

Brany pod uwagę jest tylko główny numer telefon.

URL

https://your-system-name.thulium.com/api/outbound_status_by_phone_number

Parametry

status_id

wymagany

Identyfikator statusu słownikowego. Przykładowa wartość: 8
phone_number

wymagany

Numer telefonu w kampanii. Przykładowa wartość: 333444555

Przykładowy request

POST https://your-system-name.thulium.com/api/outbound_status_by_phone_number
Dane { "phone_number": "111222333", "status_id": "3" }

Przykładowy response

{
    "outbound_id": [
        "00001",
        "00002",
        "00003"
    ]
}

Przykładowe wywołanie


PHP
<?php
$data = '{
    "phone_number": "111222333",
    "status_id": "3"
}';

$request = curl_init('https://your-system-name.thulium.com/api/outbound_status_by_phone_number');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/outbound_status_by_phone_number", "{
    \"phone_number\": \"111222333\",
    \"status_id\": \"3\"
}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{
    "phone_number": "111222333",
    "status_id": "3"
}' "https://your-system-name.thulium.com/api/outbound_status_by_phone_number"

HTTPie
echo '{
    "phone_number": "111222333",
    "status_id": "3"
}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/outbound_status_by_phone_number